/* Общий контейнер cookie */
.cookie {
    position: fixed;
    bottom: -200px;
    left: 50%;
    transform: translateX(-50%);
    width: 100%;
    max-width: 507px;
    background: var(--white);
    color: var(--text);
    box-shadow: 0px 4px 12px 0px #45484C26;
    font-size: 14px;
    border-radius: 8px;
    padding: 20px 16px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    transition: bottom 0.6s 
ease-in-out, opacity 0.4s 
ease;
    opacity: 0;
    z-index: 1000;
}

.cookie__wrapper {
	display: flex;
	justify-content: space-between;
	align-items: center;
	gap: 8px;
}

/* показываем баннер */
.cookie-show {
	bottom: 24px;
	opacity: 1;
}

/* текст */
.cookie__text {
	flex: 1;
	line-height: 1.5;
	font-size: 16px;
}

.agreement {
    color: var(--white60);
    border-bottom: 1px solid;
	transition: color 0.3s;
}

.agreement:hover {
	color: var(--white80);
}

.agreement:active {
	color: var(--white80);
}

@media screen and (max-width: 768px) {
    .cookie {
		font-size: 12px;
		padding: 22px 16px;
        width: calc(100% - 32px);
        max-width: 100%;
    }
}